Bug 170768 - New port: lang/spidermonkey-185 A standalone JavaScript interpreter from the Mozilla project, version 1.8.5
New port: lang/spidermonkey-185 A standalone JavaScript interpreter from the ...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Tom Judge
Depends on:
  Show dependency treegraph
Reported: 2012-08-19 21:00 UTC by aasoft
Modified: 2013-03-22 15:20 UTC (History)
0 users

See Also:

file.shar (11.90 KB, text/plain)
2012-08-19 21:00 UTC, aasoft
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description aasoft 2012-08-19 21:00:22 UTC
Version 1.8.5 of the Spidermonkey JavaScript interpreter from the Mozilla project ( http://www.mozilla.org/js/spidermonkey/ )

A separate port is due to other ports depending on the current (1.7.0) version of the lang/spidermonkey port, and 1.8.5 breaks the ABI, so those ports would not build if lang/spidermonkey was updated.

Fix: Patch attached with submission follows:
Comment 1 Tom Judge freebsd_committer 2012-08-21 03:02:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tj

I'll take it.
Comment 2 Tom Judge freebsd_committer 2012-10-17 15:57:03 UTC
State Changed
From-To: open->closed

New port added, with changes. from ports/172710. Thanks!
Comment 3 mathias.breuninger 2013-03-22 14:34:57 UTC
devel/spidermonkey185 compiles flawlessly on FreeBSD-9.1-RELEASE =
(PowerPC 32bit)=20

For some reason, the install script does not copy the js exec in =
/usr/local/bin =

I had to do so manually.

This port should conflict with devel/spidermonkey17 which installs a js =
exec in /usr/local/bin as well.

Thank you for the port anyway!

Mathias Breuninger